org.opencv.core

## Class Algorithm

- java.lang.Object
- - org.opencv.core.Algorithm

- Direct Known Subclasses:
    AdaptiveManifoldFilter, AlignExposures, BackgroundSubtractor, BaseCascadeClassifier, BIF, CalibrateCRF, CLAHE, ContourFitting, DenseOpticalFlow, DescriptorMatcher, DisparityFilter, DTFilter, EdgeBoxes, ERFilter, Facemark, FacemarkKazemi, FaceRecognizer, FastGlobalSmootherFilter, FastLineDetector, Feature2D, GraphSegmentation, GuidedFilter, ImgHashBase, Layer, LineSegmentDetector, MergeExposures, MultiTracker, PCTSignatures, PCTSignaturesSQFD, PhaseUnwrapping, Plot2d, Retina, RetinaFastToneMapping, RFFeatureGetter, RidgeDetectionFilter, SelectiveSearchSegmentation, SelectiveSearchSegmentationStrategy, SparseMatchInterpolator, SparseOpticalFlow, StatModel, StereoMatcher, StructuredEdgeDetection, StructuredLightPattern, SuperpixelLSC, SuperpixelSEEDS, SuperpixelSLIC, SyntheticSequenceGenerator, Tonemap, Tracker, TransientAreasSegmentationModule, WhiteBalancer

      public class Algorithm
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Algorithm(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Algorithm` | `__fromPtr__(long addr)`
    `void` | `clear()`
    `boolean` | `empty()`
    `protected void` | `finalize()`
    `java.lang.String` | `getDefaultName()`
    `long` | `getNativeObjAddr()`
    `void` | `save(java.lang.String filename)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Algorithm

          protected Algorithm(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Algorithm __fromPtr__(long addr)

    - #### getDefaultName

          public java.lang.String getDefaultName()

    - #### empty

          public boolean empty()

    - #### clear

          public void clear()

    - #### save

          public void save(java.lang.String filename)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1